Update Counterparty
curl --request PATCH \
--url https://api.otim.com/v0/counterparties/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.otim.com/v0/counterparties/{id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.otim.com/v0/counterparties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cpty_01JA1B2C3D4E5F6G7H8J9K0L",
"entityId": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
"name": "Acme Corp",
"type": "bank_account",
"bankName": "Chase",
"accountNumber": "****6789",
"routingNumber": "021000021",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"chain": "base",
"createdAt": "2025-01-15T12:00:00Z"
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}API
Update Counterparty
Updates a Counterparty’s display name.
PATCH
/
counterparties
/
{id}
Update Counterparty
Authorizations
API key prefixed with sk_.
Path Parameters
The ID of the Counterparty.
Body
application/json
Update the display name for the Counterparty.
Response
Updated Counterparty.
Example:
"cpty_01JA1B2C3D4E5F6G7H8J9K0L"
Example:
"ent_01JA1B2C3D4E5F6G7H8J9K0L"
Example:
"Acme Corp"
Available options:
wallet, bank_account Example:
"bank_account"
Example:
"Chase"
Example:
"****6789"
Example:
"021000021"
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Example:
"base"
Example:
"2025-01-15T12:00:00Z"
⌘I